RpfConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Interface RpfConstants

All Known Implementing Classes:
  RpfCoverage, RpfLayer, RpfProductInfo, RpfViewAttributes

    public interface RpfConstants

The properties and constants used for RPF data and RPF Coverages.

Field Summary
`static java.lang.String` | `AutoFetchAttributeProperty` Tell the RpfLayer to get the detailed subframe attributes for each subframe.
`static java.lang.String` | `AuxCacheSizeProperty` Tell the RpfLayer how big to make the subframe cache..
`static java.lang.String` | `BLANK`
`static java.lang.String` | `CacheSizeProperty` Tell the RpfLayer how big to make the subframe cache..
`static java.lang.String` | `CADRG`
`static java.lang.String` | `CDTED`
`static java.lang.String` | `ChartSeriesProperty` Set a limit on which chart types are displayed.
`static java.lang.String` | `CIB`
`static java.lang.String` | `CITYGRAPHICS`
`static java.lang.String` | `ColormodelProperty` Tell the RpfLayer which colormodel to use (INDEXED or DIRECT (default)).
`static java.lang.String` | `ColorProperty` Use this property to change the color used for a particular chart type, i.e.
`static java.lang.String` | `CoverageProperty` Tell the RpfLayer you want the coverage tool available.
`static java.lang.String` | `DefaultRPFCoveragePrefix`
`static java.lang.String` | `FillProperty` Property to use to fill rectangles.
`static java.lang.String` | `ImageScaleFactorProperty` The amount of scaling to allow on images.
`static java.lang.String` | `KillCacheProperty` Delete the cache is the layer is removed from the map.
`static java.lang.String` | `lockedButtonTitle`
`static java.lang.String` | `lockSeriesCommand`
`static java.lang.String` | `NumColorsProperty` Number of colors to use in images.
`static java.lang.String` | `OpaquenessProperty` Property to use for images or rectangles (when java supports it).
`static java.lang.String` | `RpfPathsProperty` Paths to the A.TOC properties.
`static java.lang.String` | `ScaleImagesProperty` Scale toe images to match the map scale.
`static java.lang.String` | `ScaleOverCoverageProperty` Property to specify that matching scale is more important that maximizing coverage.
`static java.lang.String` | `showCGCommand`
`static java.lang.String` | `showCoverageCommand`
`static java.lang.String` | `ShowCoverageProperty` Used to turn a particular coverage on or off.
`static java.lang.String` | `showInfoCommand`
`static java.lang.String` | `ShowInfoProperty` Show the attribute information for the RPF data.
`static java.lang.String` | `showMapsCommand`
`static java.lang.String` | `ShowMapsProperty` Show the images.
`static java.lang.String` | `TOPOLINEMAP`
`static java.lang.String` | `unlockedButtonTitle`
`static float` | `Various`
`static java.lang.String` | `VARIOUS`

Field Detail

### OpaquenessProperty

    static final java.lang.String OpaquenessProperty

  Property to use for images or rectangles (when java supports it). "opaque"

  See Also:
    Constant Field Values

### FillProperty

    static final java.lang.String FillProperty

  Property to use to fill rectangles. "fill"

  See Also:
    Constant Field Values

### RpfPathsProperty

    static final java.lang.String RpfPathsProperty

  Paths to the A.TOC properties. "paths"

  See Also:
    Constant Field Values

### NumColorsProperty

    static final java.lang.String NumColorsProperty

  Number of colors to use in images. "numberColors"

  See Also:
    Constant Field Values

### ShowMapsProperty

    static final java.lang.String ShowMapsProperty

  Show the images. "showMaps"

  See Also:
    Constant Field Values

### ShowInfoProperty

    static final java.lang.String ShowInfoProperty

  Show the attribute information for the RPF data. "showInfo"

  See Also:
    Constant Field Values

### ScaleImagesProperty

    static final java.lang.String ScaleImagesProperty

  Scale toe images to match the map scale. "scaleImages"

  See Also:
    Constant Field Values

### KillCacheProperty

    static final java.lang.String KillCacheProperty

  Delete the cache is the layer is removed from the map. "killCache"

  See Also:
    Constant Field Values

### ChartSeriesProperty

    static final java.lang.String ChartSeriesProperty

  Set a limit on which chart types are displayed. "chartSeries"

  See Also:
    Constant Field Values

### CoverageProperty

    static final java.lang.String CoverageProperty

  Tell the RpfLayer you want the coverage tool available. "coverage"

  See Also:
    Constant Field Values

### ColormodelProperty

    static final java.lang.String ColormodelProperty

  Tell the RpfLayer which colormodel to use (INDEXED or DIRECT (default)). "colormodel"

  See Also:
    Constant Field Values

### CacheSizeProperty

    static final java.lang.String CacheSizeProperty

  Tell the RpfLayer how big to make the subframe cache.. "subframeCacheSize"

  See Also:
    Constant Field Values

### AuxCacheSizeProperty

    static final java.lang.String AuxCacheSizeProperty

  Tell the RpfLayer how big to make the subframe cache.. "auxSubframeCacheSize"

  See Also:
    Constant Field Values

### AutoFetchAttributeProperty

    static final java.lang.String AutoFetchAttributeProperty

  Tell the RpfLayer to get the detailed subframe attributes for each subframe.

  See Also:
    Constant Field Values

### ImageScaleFactorProperty

    static final java.lang.String ImageScaleFactorProperty

  The amount of scaling to allow on images. Default is 4x, which also means 1/4th

  See Also:
    Constant Field Values

### ScaleOverCoverageProperty

    static final java.lang.String ScaleOverCoverageProperty

  Property to specify that matching scale is more important that maximizing coverage. Default is true, so you can see the smaller coverage that might match map scale. This setting is more important for layer being used to create smaller tile images, and you might prefer fill coverage over small blank spaces.

  See Also:
    Constant Field Values

### showMapsCommand

    static final java.lang.String showMapsCommand

See Also:
  Constant Field Values

### showInfoCommand

    static final java.lang.String showInfoCommand

See Also:
  Constant Field Values

### lockSeriesCommand

    static final java.lang.String lockSeriesCommand

See Also:
  Constant Field Values

### showCoverageCommand

    static final java.lang.String showCoverageCommand

See Also:
  Constant Field Values

### showCGCommand

    static final java.lang.String showCGCommand

See Also:
  Constant Field Values

### unlockedButtonTitle

    static final java.lang.String unlockedButtonTitle

See Also:
  Constant Field Values

### lockedButtonTitle

    static final java.lang.String lockedButtonTitle

See Also:
  Constant Field Values

### ShowCoverageProperty

    static final java.lang.String ShowCoverageProperty

  Used to turn a particular coverage on or off. Well, off, really. All coverages are turned on by default.

  See Also:
    Constant Field Values

### ColorProperty

    static final java.lang.String ColorProperty

  Use this property to change the color used for a particular chart type, i.e. propertyPrefix.chartSeriesAbbr.color = hexColorValue.

  See Also:
    Constant Field Values

### DefaultRPFCoveragePrefix

    static final java.lang.String DefaultRPFCoveragePrefix

See Also:
  Constant Field Values

### Various

    static final float Various

See Also:
  Constant Field Values

### BLANK

    static final java.lang.String BLANK

See Also:
  Constant Field Values

### VARIOUS

    static final java.lang.String VARIOUS

See Also:
  Constant Field Values

### CADRG

    static final java.lang.String CADRG

See Also:
  Constant Field Values

### CIB

    static final java.lang.String CIB

See Also:
  Constant Field Values

### CDTED

    static final java.lang.String CDTED

See Also:
  Constant Field Values

### CITYGRAPHICS

    static final java.lang.String CITYGRAPHICS

See Also:
  Constant Field Values

### TOPOLINEMAP

    static final java.lang.String TOPOLINEMAP

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details